package domain


type AlibabaWdkSkuUpdateApiResults struct {
    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        各条记录结果     */
    Models  *[]AlibabaWdkSkuUpdateApiResult `json:"models,omitempty" `

    /*
        接口调用成功标志     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuUpdateApiResults) SetErrCode(v string) *AlibabaWdkSkuUpdateApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuUpdateApiResults) SetErrMsg(v string) *AlibabaWdkSkuUpdateApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuUpdateApiResults) SetModels(v []AlibabaWdkSkuUpdateApiResult) *AlibabaWdkSkuUpdateApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuUpdateApiResults) SetSuccess(v bool) *AlibabaWdkSkuUpdateApiResults {
    s.Success = &v
    return s
}
